import request from '@/utils/request'

// 查询检测项目列表
export function listProject(query) {
    return request({
        url: '/manage/project/list',
        method: 'get',
        params: query
    })
}

// 查询检测项目详细
export function getProject(id) {
    return request({
        url: '/manage/project/' + id,
        method: 'get'
    })
}

// 新增检测项目
export function addProject(data) {
    return request({
        url: '/manage/project',
        method: 'post',
        data: data
    })
}

// 修改检测项目
export function updateProject(data) {
    return request({
        url: '/manage/project',
        method: 'put',
        data: data
    })
}

// 删除检测项目
export function delProject(id) {
    return request({
        url: '/manage/project/' + id,
        method: 'delete'
    })
}
